JAVA异常初步了解

异常:异常是程序中的一些错误

异常的处理为:抛出异常、捕获异常。

  • 抛出异常:
    使用throw语句抛出
  • 捕获异常:
    使用try、catchtry、catch、finally语句实现

例子

package JAVA12;

class MyException extends Exception {

public MyException() {}

public MyException(String msg) {super(msg);

}

}

public class EX1 {

public static void f() throws MyException {

System.out.println(“Throwing MyException from f()”);

throw new MyException(“FROM f()”);

}

public static void main(String[] args) {

try { f(); } catch (MyException e) {

System.out.println(“Caught Exception”); e.printStackTrace(); }

finally { System.out.println(“Made it to finaly”);

}

}

}

 

首先我们采用继承Exception异常类来定义自己的的异常类。然后给f()函数中创建属于自己的异常类。这时候得用到throws关键字。

thros关键字和throw关键字的区别在于,throw用于函数体,throws用于函数名后。

try区域可以进行捕获异常,然后当异常出现时候,catch关键字对try区域中可能出现的异常进行处理。finally关键字会不管异常是否出现都会执行他区域内的内容。